GDB (xrefs)

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
cli_ui_out Class Reference

`#include "cli-out.h"`

Inheritance diagram for cli_ui_out:

## Public Member Functions
| cli_ui_out (ui_file *stream, ui_out_flags flags)
virtual | ~cli_ui_out ()
ui_file * | set_stream (ui_file *stream)
Public Member Functions inherited from ui_out
| ui_out (ui_out_flags flags=0)
virtual | ~ui_out ()
void | push_level (ui_out_type type)
void | pop_level (ui_out_type type)
void | table_begin (int nr_cols, int nr_rows, const std::string &tblid)
void | table_header (int width, ui_align align, const std::string &col_name, const std::string &col_hdr)
void | table_body ()
void | table_end ()
void | begin (ui_out_type type, const char *id)
void | end (ui_out_type type)
void | field_int (const char *fldname, int value)
void | field_fmt_int (int width, ui_align align, const char *fldname, int value)
void | field_core_addr (const char *fldname, struct gdbarch *gdbarch, CORE_ADDR address)
void | field_string (const char *fldname, const char *string)
void | field_stream (const char *fldname, string_file &stream)
void | field_skip (const char *fldname)
void | field_fmt (const char *fldname, const char *format,...) ATTRIBUTE_PRINTF(3
void void | spaces (int numspaces)
void | text (const char *string)
void | message (const char *format,...) ATTRIBUTE_PRINTF(2
void void | wrap_hint (const char *identstring)
void | flush ()
void | redirect (ui_file *outstream)
ui_out_flags | test_flags (ui_out_flags mask)
bool | is_mi_like_p ()
bool | query_table_field (int colno, int *width, int *alignment, const char **col_name)

## Protected Member Functions
virtual void | do_table_begin (int nbrofcols, int nr_rows, const char *tblid) override
virtual void | do_table_body () override
virtual void | do_table_end () override
virtual void | do_table_header (int width, ui_align align, const std::string &col_name, const std::string &col_hdr) override
virtual void | do_begin (ui_out_type type, const char *id) override
virtual void | do_end (ui_out_type type) override
virtual void | do_field_int (int fldno, int width, ui_align align, const char *fldname, int value) override
virtual void | do_field_skip (int fldno, int width, ui_align align, const char *fldname) override
virtual void | do_field_string (int fldno, int width, ui_align align, const char *fldname, const char *string) override
virtual void | do_field_fmt (int fldno, int width, ui_align align, const char *fldname, const char *format, va_list args) override ATTRIBUTE_PRINTF(6
virtual void virtual void | do_spaces (int numspaces) override
virtual void | do_text (const char *string) override
virtual void | do_message (const char *format, va_list args) override ATTRIBUTE_PRINTF(2
virtual void virtual void | do_wrap_hint (const char *identstring) override
virtual void | do_flush () override
virtual void | do_redirect (struct ui_file *outstream) override
bool | suppress_output ()
Protected Member Functions inherited from ui_out
virtual bool | do_is_mi_like_p ()

## Private Member Functions
void | field_separator ()
void | out_field_fmt (int fldno, const char *fldname, const char *format,...) ATTRIBUTE_PRINTF(4

## Private Attributes
void std::vector< ui_file * > | m_streams
bool | m_suppress_output

## Detailed Description

Definition at line 26 of file cli-out.h.

## Constructor & Destructor Documentation

## ◆ cli_ui_out()

cli_ui_out::cli_ui_out | ( | ui_file * | stream,
|  | ui_out_flags | flags
| ) |  |
| explicit

Definition at line 265 of file cli-out.c.

References gdb_assert, and m_streams.

## ◆ ~cli_ui_out()

cli_ui_out::~cli_ui_out | ( |  | ) |
| virtual

Definition at line 274 of file cli-out.c.

## Member Function Documentation

## ◆ do_begin()

void cli_ui_out::do_begin | ( | ui_out_type | type,
|  | const char * | id
| ) |  |
| override protected virtual

Implements ui_out.

Definition at line 80 of file cli-out.c.

## ◆ do_end()

void cli_ui_out::do_end | ( | ui_out_type | type | ) |
| override protected virtual

Implements ui_out.

Definition at line 87 of file cli-out.c.

## ◆ do_field_fmt()

void cli_ui_out::do_field_fmt | ( | int | fldno,
|  | int | width,
|  | ui_align | align,
|  | const char * | fldname,
|  | const char * | format,
|  | va_list | args
| ) |  |
| override protected virtual

Reimplemented from ui_out.

Reimplemented in tui_ui_out.

Definition at line 171 of file cli-out.c.

References field_separator(), m_streams, m_suppress_output, ui_noalign, and vfprintf_filtered().

Referenced by tui_ui_out::do_field_fmt().

## ◆ do_field_int()

void cli_ui_out::do_field_int | ( | int | fldno,
|  | int | width,
|  | ui_align | align,
|  | const char * | fldname,
|  | int | value
| ) |  |
| override protected virtual

Implements ui_out.

Reimplemented in tui_ui_out.

Definition at line 94 of file cli-out.c.

References do_field_string(), m_suppress_output, and xsnprintf().

Referenced by tui_ui_out::do_field_int().

## ◆ do_field_skip()

void cli_ui_out::do_field_skip | ( | int | fldno,
|  | int | width,
|  | ui_align | align,
|  | const char * | fldname
| ) |  |
| override protected virtual

Implements ui_out.

Definition at line 110 of file cli-out.c.

References do_field_string(), and m_suppress_output.

## ◆ do_field_string()

void cli_ui_out::do_field_string | ( | int | fldno,
|  | int | width,
|  | ui_align | align,
|  | const char * | fldname,
|  | const char * | string
| ) |  |
| override protected virtual

Implements ui_out.

Reimplemented in tui_ui_out.

Definition at line 123 of file cli-out.c.

References field_separator(), m_suppress_output, out_field_fmt(), ui_out::spaces(), ui_left, ui_noalign, and ui_right.

Referenced by do_field_int(), do_field_skip(), tui_ui_out::do_field_string(), and do_table_header().

## ◆ do_flush()

void cli_ui_out::do_flush | ( |  | ) |
| override protected virtual

Implements ui_out.

Definition at line 221 of file cli-out.c.

References gdb_flush(), and m_streams.

## ◆ do_message()

void cli_ui_out::do_message | ( | const char * | format,
|  | va_list | args
| ) |  |
| override protected virtual

Reimplemented from ui_out.

Definition at line 203 of file cli-out.c.

References m_streams, m_suppress_output, and vfprintf_unfiltered().

## ◆ do_redirect()

void cli_ui_out::do_redirect | ( | struct ui_file * | outstream | ) |
| override protected virtual

Implements ui_out.

Definition at line 231 of file cli-out.c.

References m_streams.

## ◆ do_spaces()

void cli_ui_out::do_spaces | ( | int | numspaces | ) |
| override protected virtual

Implements ui_out.

Definition at line 185 of file cli-out.c.

References m_streams, m_suppress_output, and print_spaces_filtered().

## ◆ do_table_begin()

void cli_ui_out::do_table_begin | ( | int | nbrofcols,
|  | int | nr_rows,
|  | const char * | tblid
| ) |  |
| override protected virtual

Implements ui_out.

Definition at line 34 of file cli-out.c.

References gdb_assert, and m_suppress_output.

## ◆ do_table_body()

void cli_ui_out::do_table_body | ( |  | ) |
| override protected virtual

Implements ui_out.

Definition at line 47 of file cli-out.c.

References m_suppress_output, and ui_out::text().

## ◆ do_table_end()

void cli_ui_out::do_table_end | ( |  | ) |
| override protected virtual

Implements ui_out.

Definition at line 59 of file cli-out.c.

References m_suppress_output.

## ◆ do_table_header()

void cli_ui_out::do_table_header | ( | int | width,
|  | ui_align | align,
|  | const std::string & | col_name,
|  | const std::string & | col_hdr
| ) |  |
| override protected virtual

Implements ui_out.

Definition at line 67 of file cli-out.c.

References do_field_string(), and m_suppress_output.

## ◆ do_text()

void cli_ui_out::do_text | ( | const char * | string | ) |
| override protected virtual

Implements ui_out.

Reimplemented in tui_ui_out.

Definition at line 194 of file cli-out.c.

References fputs_filtered(), m_streams, and m_suppress_output.

Referenced by tui_ui_out::do_text().

## ◆ do_wrap_hint()

void cli_ui_out::do_wrap_hint | ( | const char * | identstring | ) |
| override protected virtual

Implements ui_out.

Definition at line 212 of file cli-out.c.

References m_suppress_output, and wrap_here().

## ◆ field_separator()

void cli_ui_out::field_separator | ( |  | ) |
| private

Definition at line 258 of file cli-out.c.

References fputc_filtered(), and m_streams.

Referenced by do_field_fmt(), and do_field_string().

## ◆ out_field_fmt()

void cli_ui_out::out_field_fmt | ( | int | fldno,
|  | const char * | fldname,
|  | const char * | format,
|  |  | ...
| ) |  |
| private

Definition at line 246 of file cli-out.c.

References m_streams, and vfprintf_filtered().

Referenced by do_field_string().

## ◆ set_stream()

ui_file * cli_ui_out::set_stream | ( | ui_file * | stream | ) |

Definition at line 287 of file cli-out.c.

References m_streams.

Referenced by cli_interp::exec(), cli_interp::resume(), and tui_interp::resume().

## ◆ suppress_output()

bool cli_ui_out::suppress_output | ( |  | ) |
| inline protected

Definition at line 65 of file cli-out.h.

References m_suppress_output.

Referenced by tui_ui_out::do_field_fmt(), tui_ui_out::do_field_int(), tui_ui_out::do_field_string(), and tui_ui_out::do_text().

## Member Data Documentation

## ◆ m_streams

void std::vector<ui_file *> cli_ui_out::m_streams
| private

Definition at line 72 of file cli-out.h.

Referenced by cli_ui_out(), do_field_fmt(), do_flush(), do_message(), do_redirect(), do_spaces(), do_text(), field_separator(), out_field_fmt(), and set_stream().

## ◆ m_suppress_output

bool cli_ui_out::m_suppress_output
| private

Definition at line 75 of file cli-out.h.

Referenced by do_field_fmt(), do_field_int(), do_field_skip(), do_field_string(), do_message(), do_spaces(), do_table_begin(), do_table_body(), do_table_end(), do_table_header(), do_text(), do_wrap_hint(), and suppress_output().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/cli-out.h
- /tmp/gdb-8.1/gdb/cli-out.c